# File: ibus-stub.spec #

Source1000:     vdb.lua
%include        %{S:1000}

%global major   0
%global minor   0
%global patch   1
%global release 1

Name:           ibus-stub
Version:        %{major}.%{minor}.%{patch}
Release:        %{release}.vdb%{?dist}
Summary:        IBus stub replacement
License:        FSFAP

Provides:       ibus%{_isa}

Requires:       ibus-libs

Obsoletes:      ibus
Obsoletes:      ibus-gtk2
Obsoletes:      ibus-gtk3
Obsoletes:      ibus-gtk4
Obsoletes:      ibus-setup

Obsoletes:      ibus-anthy
Obsoletes:      ibus-bogo
Obsoletes:      ibus-chewing
Obsoletes:      ibus-desktop-testing
Obsoletes:      ibus-engine-gui-ci
Obsoletes:      ibus-fbterm
Obsoletes:      ibus-handwrite
Obsoletes:      ibus-hangul
Obsoletes:      ibus-input-pad
Obsoletes:      ibus-kkc
Obsoletes:      ibus-libpinyin
Obsoletes:      ibus-m17n
Obsoletes:      ibus-mozc
Obsoletes:      ibus-pinyin
Obsoletes:      ibus-qt
Obsoletes:      ibus-rawcode
Obsoletes:      ibus-sayura
Obsoletes:      ibus-setup
Obsoletes:      ibus-skk
Obsoletes:      ibus-table
Obsoletes:      ibus-tests
Obsoletes:      ibus-typing-booster
Obsoletes:      ibus-uniemoji
Obsoletes:      ibus-unikey

%description

%{text  -- \
    IBus an an input method framework used by GNOME. Input methods are used when typing in
    languages in which the number of letters or hieroglyphs exceeds the number of keys on the
    keyboard. Usually input methods are used to type in Cheneese, Japaneese, Korean, etc.

    If you do not use IBus, you may want to remove it, because IBus consumes a lot of CPU cycles
    and memory. However, removing IBus is not trivial, because GNOME Shell requires it. `dnf
    remove` will not remove IBus due to that, you have to use `rpm -e --nodeps` instead. If you
    decide to remove IBus, remebmer two rules: (1) do **not** remove `ibus-libs` package, and (2)
    do not remove IBus from running GNOME session — it will cause GNOME Shell to hung.

    However, even if you manage to remove IBus, it likely will reappear at the next system update.

    This package allows to remove IBus more conveniently. Installing this package removes all the
    known IBus packages (except the mandatory `ibus-libs`), and prevents them from reappear when
    the system updates.

    However, do not install this package from running GNOME session — GNOME Shell will hung and
    stop reponding. Close your GNOME session, switch to the console and the install the package.
}

%prep

%build

%check

%install

%files

%changelog

* Mon Feb 12 2024 Van de Bugger - 0.0.1-1.vdb
- Initial release.
